# patch/app/api/v1/investigation-bulk-feedback

## Bulk update investigation feedback

`feedback.status` options:

- In Review = `in_review`
- Reviewed = `reviewed`

`feedback.outcome` options:

- Malicious = `COMPLETED_BREACHED_CONFIRMED`
- Suspicious = `COMPLETED_BREACHED_SUSPICIOUS`
- Benign = `COMPLETED_FALSE_ALERT`
- Inconclusive = `INCOMPLETE`
- Ignored = `IGNORED`

`feedback.priority` options:

- Informational = `informational`
- Notable = `notable`
- Urgent = `urgent`

## Authorizations

**ApiKeyAuth**  
Authorization string Required

### Body

- `application/json`
- `feedback object Required`

### Show properties

- `investigation_ids number[] Required`

## Responses

### 200

Feedback updated

- `application/json`
- `investigation_id number Optional`

### 400

Malformed request

- `application/json`

### 401

Unauthorized

- `application/json`

### 403

Access denied

- `application/json`

### 500

System error

- `application/json`

### 503

System not ready for requests

- `application/json`

## HTTP Examples

### cURL

```bash
PATCH /app/api/v1/investigation-bulk-feedback HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 173

{
  "feedback": {
    "exclude_learning": false,
    "outcome": "COMPLETED_BREACHED_CONFIRMED",
    "outcome_note": "text",
    "priority": "informational",
    "status": "reviewed"
  },
  "investigation_ids": [
    1
  ]
}
```

### 200

Feedback updated

```json
{
  "investigation_id": 1
}
```

Last updated 8 months ago
